use bonsaidb::core::schema::Schema;

use apps::DbApps;
use elements::DbElement;
use peers::DbPeers;
use pot_memberships::DbPotMemberships;
use pots::DbPots;

mod apps;
mod elements;
mod peers;
mod pot_memberships;
mod pots;

#[derive(Schema, Debug)]
#[schema(name = "ubisync", collections = [DbElement, DbPotMemberships, DbApps, DbPots, DbPeers])]
pub struct UbisyncSchema;

#[cfg(test)]
mod tests {}

